Alienware M11x fails to boot with 3.2.40 upgrade

Bug #1169380 reported by Nishanth Menon on 2013-04-16
44
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Steve Conklin

Bug Description

using the older kernel release:
 3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Allows boot. after updating to 3.2.40 kernel, I dont seem to be able to enter into any of the maintenance mode either.

I have'nt tried further debug on https://wiki.ubuntu.com/DebuggingKernelBoot , but I see few reports on other platforms:

http://osdir.com/ml/ubuntu-bugs/2013-04/msg13770.html (bug #1169304)
http://osdir.com/ml/ubuntu-bugs/2013-04/msg13002.html (bug #1168961)

yep, going back to 3.2.0-39 kernel helps booting.

Let me know if you'd like further info.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-40-generic 3.2.0-40.64
ProcVersionSignature: Ubuntu 3.2.0-39.62-generic 3.2.39
Uname: Linux 3.2.0-39-generic x86_64
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC665 Analog [ALC665 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nmenon 2064 F.... xfce4-volumed
                      nmenon 2127 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xb7800000 irq 43'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0665,10280465,00100003 HDA:80862804,80860101,00100000'
   Controls : 33
   Simple ctrls : 13
Date: Mon Apr 15 20:38:24 2013
HibernationDevice: RESUME=UUID=c35048bb-ec6c-48b9-9bdd-73d299628212
InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427)
MachineType: Alienware M11x R2
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 inteldrmfb
 1 nouveaufb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-39-generic root=UUID=7a5a880c-3fce-4260-9623-b6db1f27f4a5 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-39-generic N/A
 linux-backports-modules-3.2.0-39-generic N/A
 linux-firmware 1.79.1
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-05-02 (348 days ago)
dmi.bios.date: 11/23/2010
dmi.bios.vendor: Alienware
dmi.bios.version: A04
dmi.board.name: M11x R2
dmi.board.vendor: Alienware
dmi.board.version: A04
dmi.chassis.type: 8
dmi.chassis.vendor: Alienware
dmi.chassis.version: A04
dmi.modalias: dmi:bvnAlienware:bvrA04:bd11/23/2010:svnAlienware:pnM11xR2:pvrA04:rvnAlienware:rnM11xR2:rvrA04:cvnAlienware:ct8:cvrA04:
dmi.product.name: M11x R2
dmi.product.version: A04
dmi.sys.vendor: Alienware

Nishanth Menon (menon-nishanth) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream stable kernel? Please test the latest v3.2 stable kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.43-precise/

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Nishanth Menon (menon-nishanth) wrote :

If it is just dpkg -i of linux-headers-3.2.43-030243-generic_3.2.43-030243.201304092335_amd64.deb linux-image-3.2.43-030243-generic_3.2.43-030243.201304092335_amd64.deb yep, I can give it a shot once I get back home to my laptop. I do use wl driver which I think is propitiatory, I assume it'd work?

Steve Conklin (sconklin) wrote :

Actually, please test this bisection kernel built from the Ubuntu kernel source:
linux-image-3.2.0-40-generic_3.2.0-40.63~spcbisect01_amd64.deb

Found here:
http://people.canonical.com/~sconklin/precise-bisection/

For future reference:
# bad: [985689ad1c3211f4f3a9ce0e2371847320ba873f] UBUNTU: Ubuntu-3.2.0-40.64
# good: [ba89d2a7ca8233e29c9fdeabefb7fdbb6775626e] UBUNTU: Ubuntu-3.2.0-39.62
git bisect start 'Ubuntu-3.2.0-40.64' 'Ubuntu-3.2.0-39.62'

Please report results here, thanks.

Nishanth Menon (menon-nishanth) wrote :

downloading both .deb packages from http://people.canonical.com/~sconklin/precise-bisection/
Works fine. I was able to bootup.
$ cat /proc/version
Linux version 3.2.0-40-generic (sconklin@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #63~spcbisect01 SMP Tue Apr 16 20:18:35 UTC 2013

I have shell, UI, wifi back online. Have'nt had time to test anything else.

Nishanth Menon (menon-nishanth) wrote :

I see that the bisect is probably around here: http://kernel.ubuntu.com/git?p=henrix/ubuntu-precise.git;a=commit;h=33d6d1f98438ade2f2708cabb3b884a44a63a678
(Ubuntu-3.2.0-40.63)

http://kernel.ubuntu.com/git?p=henrix/ubuntu-precise.git;a=shortlog;h=refs/heads/master-next
is much ahead - if there is any other image you'd like me to try, do let me know.

Steve Conklin (sconklin) wrote :

Thanks, could you please test this kernel:

linux-image-3.2.0-40-generic_3.2.0-40.63~spcbisect02_amd64.deb

in the same location:

http://people.canonical.com/~sconklin/precise-bisection/

Bisection info:
# bad: [985689ad1c3211f4f3a9ce0e2371847320ba873f] UBUNTU: Ubuntu-3.2.0-40.64
# good: [ba89d2a7ca8233e29c9fdeabefb7fdbb6775626e] UBUNTU: Ubuntu-3.2.0-39.62
git bisect start 'Ubuntu-3.2.0-40.64' 'Ubuntu-3.2.0-39.62'
# bad: [d07543725cf6aabcb077501ad296aa57c76341e5] ftrace: Call ftrace cleanup module notifier after all other notifiers
git bisect bad d07543725cf6aabcb077501ad296aa57c76341e5

Steve Conklin (sconklin) on 2013-04-18
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
Nishanth Menon (menon-nishanth) wrote :

Here is my status:

test: bisect01
Result: boots fine
Sha1sum of deb:
76b1ab8e9a0756ea646ba06b9bf1c7816579d9d4 linux-headers-3.2.0-40-generic_3.2.0-40.63~spcbisect01_amd64.deb
b34cd9c39f9efca6bdb6e8a0ce621c19634c039b linux-image-3.2.0-40-generic_3.2.0-40.63~spcbisect01_amd64.deb
Version: (uname -a)
Linux foobar 3.2.0-40-generic #63~spcbisect01 SMP Tue Apr 16 20:18:35 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

test: bisect02
Result: boots fine

Sha1sum of deb:
cb31d7530245a9678bb9226fd314175a9152859b linux-headers-3.2.0-40-generic_3.2.0-40.63~spcbisect02_amd64.deb
198b63ddef054387593d3181327698d838b2a8fa linux-image-3.2.0-40-generic_3.2.0-40.63~spcbisect02_amd64.deb

Version: (/proc/version)
Linux version 3.2.0-40-generic (sconklin@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #63~spcbisect02 SMP Thu Apr 18 15:18:07 UTC 2013

test: bisect03
Result: boots fine

Sha1sum of deb:
219c977fa878adb2c70f50260135af22f5ac3563 linux-headers-3.2.0-40-generic_3.2.0-40.63~spcbisect03_amd64.deb
4c91fb9305994c400f0dd966b32d5742b95250d6 linux-image-3.2.0-40-generic_3.2.0-40.63~spcbisect03_amd64.deb

Version: (/proc/version)
Linux version 3.2.0-40-generic (sconklin@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #63~spcbisect03 SMP Fri Apr 19 00:55:46 UTC 2013

just to clarify comment #9 , boots fine = I have boot from power on (from cold boot) to UI, wifi is working, I am able to file update on launchpad :).

if there are more debs, let me know. apologies on the cycle time, but i need to test once I get home.

Steve Conklin (sconklin) wrote :

A patch has been identified which is known to cause problems in both precise and quantal kernels. Since people running both series are piling onto this bug, I'm posting the links for each.

Please test the appropriate kernel for you installation, and report whether you still have the problem. This is important, as there are some indications that we may be chasing multiple problems with these bugs.

Please report both success and failure, and include youe kernel version when you make your report.

Precise test kernels are located here:

http://people.canonical.com/~sconklin/precise-revert-4c443ec/

Quantal test kernels are located here:

http://people.canonical.com/~sconklin/quantal-revert-4c443ec/

Thank you for your help!

Brad Figg (brad-figg) wrote :

We have identified a possible, upstream fix for this issue. Please test the appropriate kernel for your system located at:

http://kernel.ubuntu.com/~bradf/lp1169380/upstream-01/

Kernel mentioned in comment 12 works fine on amd64.
Will run this one for a while and update ticket if any problems arise. Thanks.

Linux j1 3.2.0-41-generic #65~bjf+lp1169380+upstream+01 SMP Tue Apr 23 18:50:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

MarianoAbsatz (el-baby) wrote :

64 bit kernel from http://kernel.ubuntu.com/~bradf/lp1169380/upstream-01/ works OK for me (Dell Precision M4600)

3.2.0-41-generic #65~bjf+lp1169380+upstream+01 SMP Tue Apr 23 18:50:23 UTC 2013

Update against comment #13

Bluetooth warning on boot this morning (laptop now docked to a USB DisplayLink device).
Bluetooth is switched off from the GUI (don't use it), and I've never seen this error before - last 2 lines in kern.log
The other comments about firmware not being loaded, etc. are present in previous kernels and can be ignored.

Apr 24 09:15:37 jbradshaw1 kernel: [ 20.629758] Bluetooth: Core ver 2.16
Apr 24 09:15:37 jbradshaw1 kernel: [ 20.629776] Bluetooth: HCI device and connection manager initialized
Apr 24 09:15:37 jbradshaw1 kernel: [ 20.629778] Bluetooth: HCI socket layer initialized
Apr 24 09:15:37 jbradshaw1 kernel: [ 20.629779] Bluetooth: L2CAP socket layer initialized
Apr 24 09:15:37 jbradshaw1 kernel: [ 20.629782] Bluetooth: SCO socket layer initialized
Apr 24 09:15:37 jbradshaw1 kernel: [ 21.116509] Bluetooth: Generic Bluetooth USB driver ver 0.6
Apr 24 09:15:37 jbradshaw1 kernel: [ 21.250889] Bluetooth: can't load firmware, may not work correctly
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.141123] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.141126] Bluetooth: BNEP filters: protocol multicast
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.180525] Bluetooth: RFCOMM TTY layer initialized
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.180528] Bluetooth: RFCOMM socket layer initialized
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.180529] Bluetooth: RFCOMM ver 1.11
Apr 24 09:15:38 jbradshaw1 kernel: [ 22.198011] thinkpad_acpi: rfkill switch tpacpi_bluetooth_sw: radio is blocked
Apr 24 09:15:42 jbradshaw1 kernel: [ 26.241167] init: bluetooth main process (1027) killed by SEGV signal
Apr 24 09:15:42 jbradshaw1 kernel: [ 26.241196] init: bluetooth main process ended, respawning

MarianoAbsatz (el-baby) wrote :

FWIW, I did't see that warning in my kern.log (I don't use Bluetooth but it is on):

Apr 23 19:33:49 dellores kernel: [ 26.546721] Bluetooth: Core ver 2.16
Apr 23 19:33:49 dellores kernel: [ 26.546733] Bluetooth: HCI device and connection manager initialized
Apr 23 19:33:49 dellores kernel: [ 26.546735] Bluetooth: HCI socket layer initialized
Apr 23 19:33:49 dellores kernel: [ 26.546736] Bluetooth: L2CAP socket layer initialized
Apr 23 19:33:49 dellores kernel: [ 26.546739] Bluetooth: SCO socket layer initialized
Apr 23 19:33:50 dellores kernel: [ 26.836648] Bluetooth: Generic Bluetooth USB driver ver 0.6
Apr 23 19:33:50 dellores kernel: [ 26.870981] Bluetooth: RFCOMM TTY layer initialized
Apr 23 19:33:50 dellores kernel: [ 26.870985] Bluetooth: RFCOMM socket layer initialized
Apr 23 19:33:50 dellores kernel: [ 26.870987] Bluetooth: RFCOMM ver 1.11
Apr 23 19:33:50 dellores kernel: [ 26.895018] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Apr 23 19:33:50 dellores kernel: [ 26.895020] Bluetooth: BNEP filters: protocol multicast

Brad Figg (brad-figg) wrote :

John, Mariano,

The bluetooth warnings are a different issue.

Brad Figg (brad-figg) on 2013-04-24
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed

I confirm successful boot on Alienware M11x with images from comment #12.
sha1sums:
02da6665955fe37445237c75b286f76d673e6a44 linux-headers-3.2.0-41-generic_3.2.0-41.65~bjf+lp1169380+upstream+01_amd64.deb
ebe5767ac34be944c9edb14b15445c4fa3393dc8 linux-image-3.2.0-41-generic_3.2.0-41.65~bjf+lp1169380+upstream+01_amd64.deb
cb1453fce76c725a9510f63c568d85d2d6451ce4 linux-headers-3.2.0-41_3.2.0-41.65~bjf+lp1169380+upstream+01_all.deb

$ cat /proc/version
Linux version 3.2.0-41-generic (bradf@tangerine) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #65~bjf+lp1169380+upstream+01 SMP Tue Apr 23 18:50:23 UTC 2013

I have not tried images in #11, I am assuming that is supersceded by image in #12.

Brad Figg (brad-figg) wrote :

There is now a proposed kernel with this fix in it. That needs to be tested to make sure this issue is fixed and that kernel can move on to -updates. Please test the -proposed kernel.

is there a deb set with -proposed? I can give it a shot later today evening once I get home back to my laptop.

Brad Figg (brad-figg) wrote :

https://launchpad.net/ubuntu/+source/linux/3.2.0-41.66

I'ts a little painful to do it from there but you can.

MarianoAbsatz (el-baby) wrote :

The 64 bit kernel in precise-proposed booted just fine:

$ cat /proc/version
Linux version 3.2.0-41-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #66-Ubuntu SMP Thu Apr 25 03:27:11 UTC 2013

$ cat /proc/version_signature
Ubuntu 3.2.0-41.66-generic 3.2.42

MarianoAbsatz (el-baby) wrote :

Nishanth,

it is easier to enable precise-proposed and update the kernel.

You can do this even from update-manager: press the "Settings..." button, go to the "Updates" tab and select "Pre-release updates (precise-proposed)"; check for updates and then select only linux-headers-3.2.0-41, linux-headers-3.2.0-41-generic and linux-image-3.2.0-41-generic to update.

Afterwards, it is recommended that you DISABLE again "Pre-release updates" and re-check the repositories so you don't inadvertedly install pre-release packages you don't want to test.

I followed comment #24 Thanks Mariano.

Works on Alienware M11xR2 - tests:
- UI
- WLan
- Audio (played from pandora) - volume control keys also work
- display reduce/increase brightness
- HDMI works
- USB works
- inbuilt MMC port works

Looks Good to me. Thanks for rootcausing and making a fix available

$ cat /proc/version
Linux version 3.2.0-41-generic (buildd@allspice) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #66-Ubuntu SMP Thu Apr 25 03:27:11 UTC 2013

linux-image-3.2.0-41-generic amd64 and related packages boot fine on Thinkpad Edge.
Laptop controls for mute/volume/brightness working too.

Thanks for the fix.

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (14.0 KiB)

This bug was fixed in the package linux - 3.2.0-41.66

---------------
linux (3.2.0-41.66) precise-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1172464

  [ Steve Conklin ]

  * Revert "drm/i915: GFX_MODE Flush TLB Invalidate Mode must be '1' for
    scanline waits"
    - LP: #1140716

  [ Upstream Kernel Changes ]

  * fbcon: fix locking harder
    - LP: #1168961, #1169380

linux (3.2.0-41.65) precise-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1167436

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Fix quieting of audit messages for network
    mediation
    - LP: #1163259

  [ Steve Conklin ]

  * SAUCE: Update configs for new efivars option
    - LP: #1164646

  [ Upstream Kernel Changes ]

  * Revert "powerpc/eeh: Fix crash when adding a device in a slot with DDW"
    - LP: #1164646
  * Input: cypress_ps2 - fix trackpadi found in Dell XPS12
    - LP: #1103594
  * btrfs: Init io_lock after cloning btrfs device struct
    - LP: #1164646
  * md: protect against crash upon fsync on ro array
    - LP: #1164646
  * NFS: Don't allow NFS silly-renamed files to be deleted, no signal
    - LP: #1164646
  * SUNRPC: Don't start the retransmission timer when out of socket space
    - LP: #1164646
  * storvsc: Initialize the sglist
    - LP: #1164646
  * dc395x: uninitialized variable in device_alloc()
    - LP: #1164646
  * ARM: VFP: fix emulation of second VFP instruction
    - LP: #1164646
  * ARM: fix scheduling while atomic warning in alignment handling code
    - LP: #1164646
  * md: fix two bugs when attempting to resize RAID0 array.
    - LP: #1164646
  * md: raid0: fix error return from create_stripe_zones.
    - LP: #1164646
  * proc connector: reject unprivileged listener bumps
    - LP: #1164646
  * ath9k: fix RSSI dummy marker value
    - LP: #1164646
  * ath9k_htc: fix signal strength handling issues
    - LP: #1164646
  * mwifiex: correct sleep delay counter
    - LP: #1164646
  * cifs: ensure that cifs_get_root() only traverses directories
    - LP: #1164646
  * xen/pci: We don't do multiple MSI's.
    - LP: #1164646
  * dm: fix truncated status strings
    - LP: #1164646
  * dm snapshot: add missing module aliases
    - LP: #1164646
  * drm/i915: Don't clobber crtc->fb when queue_flip fails
    - LP: #1164646
  * ARM: 7663/1: perf: fix ARMv7 EVTYPE_MASK to include NSH bit
    - LP: #1164646
  * hwmon: (pmbus/ltc2978) Fix peak attribute handling
    - LP: #1164646
  * hwmon: (pmbus/ltc2978) Use detected chip ID to select supported
    functionality
    - LP: #1164646
  * hwmon: (sht15) Check return value of regulator_enable()
    - LP: #1164646
  * hw_random: make buffer usable in scatterlist.
    - LP: #1164646
  * ALSA: vmaster: Fix slave change notification
    - LP: #1164646
  * drm/radeon: add primary dac adj quirk for R200 board
    - LP: #1164646
  * dmi_scan: fix missing check for _DMI_ signature in smbios_present()
    - LP: #1164646
  * iwlwifi: always copy first 16 bytes of commands
    - LP: #1164646
  * HID: add support for Sony RF receiver with USB product id 0x0374
    - LP: #1164646
  * HID: clean up quirk for Sony RF receivers
    - LP: #1164646
  * ...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.